#pragma once

#include "NumberType.h"

#include <string>

#include <climits>

namespace Databoard {
	class Range;

	namespace Type {

		class DATABOARD_API ByteType : public NumberType {
		public:
			ByteType();
			ByteType(std::string unit);
			ByteType(std::string unit, Range* range);

			virtual ~ByteType();

			char minValue();
			char maxValue();

			virtual std::string writeOut(int indent = 0);

		protected:
		};
	}
}
