#pragma once

#include "DataBoardAPI.h"

#include <string>

namespace Databoard {
	namespace Type {

		class DataType;

		class DATABOARD_API Component {
		public:
			Component(std::string name, DataType* type);
			virtual ~Component();

			std::string getName();
			DataType* getDataBoard();

		protected:

			std::string name;
			DataType* type;

			bool usingBuiltInType;
		};
	}
}
