#pragma once

#include "Value.h"

namespace Databoard {
	namespace Value {

		class DATABOARD_API DoubleValue : public Value {
		public:
			DoubleValue(Databoard::Type::DataType* dataBoard);
			virtual ~DoubleValue();

			void setValue(double value);
			double getValue();

			virtual std::string writeOut(int indent = 0);
			virtual bool equals(const Value* other);
			virtual std::string isValid();

		protected:

			double value;
		};
	}
}
