#pragma once

#include "Value.h"

namespace Databoard {
	namespace Value {

		class DATABOARD_API LongValue : public Value {
		public:
			LongValue(Databoard::Type::DataType* dataBoard);
			virtual ~LongValue();

			void setValue(long value);
			long getValue();

			virtual std::string writeOut(int indent = 0);
			virtual bool equals(const Value* other);
			virtual std::string isValid();

		protected:

			long value;
		};
	}
}
