#pragma once

#include "Value.h"

namespace Databoard {
	namespace Value {

		class DATABOARD_API FloatValue : public Value {
		public:
			FloatValue(Databoard::Type::DataType* dataBoard);
			virtual ~FloatValue();

			void setValue(float value);
			float getValue();

			virtual std::string writeOut(int indent = 0);
			virtual bool equals(const Value* other);
			virtual std::string isValid();

		protected:

			float value;
		};
	}
}
