#include "Value.h"

#include "DataType.h"

#include <iostream>

namespace Databoard {

	namespace Value {

		Value::Value(Databoard::Type::DataType* dataBoard)
		{
			object = NULL;

			this->dataBoard = dataBoard;
		}


		Value::~Value()
		{
		}

		void* Value::getObject()
		{
			return object;
		}

		Databoard::Type::DataType* Value::type()
		{
			return dataBoard;
		}

		void Value::freeType()
		{
			delete dataBoard;
			dataBoard = 0;
		}

		std::string Value::writeOut(int indent)
		{
			std::string s;

			s.append(2 * indent, ' ');

			return s;
		}

		bool Value::equals(const Value* /*other*/)
		{
			return true;
		}

		std::string Value::isValid()
		{
			return "not implemented!";
		}
	}
}
